Set the status for a voucher
This call is used to activate or deactivate a specific voucher.
Authorizations
This API uses OAuth 2 with Client Credentials Flow (see: https://www.oauth.com/oauth2-servers/access-tokens/client-credentials).
You can request only a subset of specific scopes for your client, however the available scopes for each client are defined through the client groups in the UI.
Within your token request, you can also send the optional parameter client_type (string with a max length of 32 chars). This value is only used for internal statistics.
Path Parameters
Body
Voucher status request body
Response
OK
A unique custom identifier for this voucher (e.g. a sku). Also used for activation of this voucher. (optional, if not set for this voucher it will be auto generated based on the UI regex settings)
255"4ZH83T0ACUUC14CW"
id of the client that created this voucher
"da39a3ee5eb28b7392ef5"
Optional SKU
255"AJHS8675FG"
Optional campaign or grouping identifier
30"Winter Campaign"
Amount in the currency of this voucher. Must be send as string in the following pattern:
- Up to five digits before the decimal point
- The decimal point (.)
- Exactly two digits after the decimal point
4 - 9^\d+\.\d{2}$"10.53"
The three-character ISO-4217 currency code - https://en.wikipedia.org/wiki/ISO_4217#Active_codes
3"EUR"
Date until which this voucher is valid and can be redeemed. Calculated based on validity_value and validity_interval on activation. This property will be null if the voucher is inactive.
"2025-07-21T17:32:28+00:00"
Calculates together with validity_interval the date until which this voucher is valid after activation (if not set this property will be defined by the settings in the UI)
24
Calculates together with validity_value the date until which this voucher is valid after activation (if not set this property will be defined by the settings in the UI)
days, weeks, months, years "months"
The status of this voucher. In general vouchers are inactive when created, and gets activated when payed. Only activated vouchers can be charged.
active, inactive "active"
Defines if this voucher is printed or digital. Printed vouchers will have the status inactive by default.
print, digital "digital"
Defines if this voucher is a taxable multi purpose voucher
true
The tax rate for this voucher (only required when taxable is true)
"19"
An optional order number for this voucher
"Order 66"
Any additional custom data for this voucher as a JSON string
"{\"foo\": \"bar\"}"
created_at - datetime in RFC3339 format, see https://tools.ietf.org/html/rfc3339
"2017-07-21T17:32:28+00:00"
updated_at - datetime in RFC3339 format, see https://tools.ietf.org/html/rfc3339
"2017-07-21T17:32:28+00:00"